[tool.poetry]
name = "aws_authenticator"
version = "2024.1.0.1"
description = "Login to AWS using CLI named profiles, IAM access key credentials, or SSO."
readme = "README.rst"
authors = ["Ahmad Ferdaus Abd Razak <ahmad.ferdaus.abd.razak@ni.com>"]
license = "GPL-2.0-only"
repository = "https://gitlab.com/fer1035_python/modules/pypi-aws_authenticator"
keywords = ["AWS", "login", "profile", "access key", "SSO"]

[tool.poetry.dependencies]
python = "^3.6"
boto3 = "^1.17.78"
aws-ssooidc = "^2021.1.1.1"

[tool.poetry.dev-dependencies]
pytest = "^5.2"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
